INPUT_HANDLER_FOR_EA(9)

NAME
input_handler_for_each_handle - handle iterator

SYNOPSIS

int input_handler_for_each_handle(struct input_handler * handler, void * data, int (*fn) (struct input_handle *, void *));

ARGUMENTS

handler
    input handler to iterate

data
    data for the callback

fn
    function to be called for each handle

DESCRIPTION

Iterate over bus's list of devices, and call fn for each, passing it data and stop when fn returns a non-zero value. The function is using RCU to traverse the list and therefore may be usind in atonic contexts. The fn callback is invoked from RCU critical section and thus must not sleep.

COPYRIGHT